UPGRADING TO 4.90 INSTRUCTIONS

UPGRADING TO 4.90 INSTRUCTIONS

Postby JORGEMAL » Thu 08 Apr 2010 16:28

Are there any special considerations to upgrade to v4.90?
I actually use v4.0 and plan to install v4.90. Please let me know if there is a source with instructions.

With respect,
Jorge Maldonado
JORGEMAL
 
Posts: 164
Joined: Thu 03 Jul 2008 23:55

Postby StanislavK » Fri 09 Apr 2010 14:45

To update your application to dotConnect for PostgreSQL 4.90.120, you need to
1) update the references to Devart assemblies in your application;
2) set the proper version number in the license file (licenses.licx).

Otherwise, you may set the "Specific Version" of these references to false and remove information about the version from licenses.licx.

There may be some peculiarities in updating applications of specific types, like web applications. In this case, please specify the type of your project.

Feel free to contact us if something is unclear.
StanislavK
Devart Team
 
Posts: 1710
Joined: Thu 03 Dec 2009 10:48

Postby JORGEMAL » Fri 09 Apr 2010 14:57

My project is a web application; I kindly ask you to give me a more detailed explanation.

Regards,
Jorge Maldonado
JORGEMAL
 
Posts: 164
Joined: Thu 03 Jul 2008 23:55

Postby StanislavK » Mon 12 Apr 2010 08:12

For web applications, you need to update the version of all Devart assemblies referenced in your project, e.g., in the 'Register Assembly' nodes of web pages and in the node of web.config.

The simplest way to correct all such entries is to perform the search of 'Devart.Data' with the "Entire Solution" option and update all found results to reference the latest versions of Devart assemblies.

We plan to implement the possibility of upgrading for newer builds of dotConnect for PostgreSQL (inside a single major version) to our Upgrade Wizard, but cannot provide any timeframe.
StanislavK
Devart Team
 
Posts: 1710
Joined: Thu 03 Dec 2009 10:48

Postby JORGEMAL » Wed 21 Apr 2010 16:31

I have the following entries in the assemblies tag of the web.config:







What are the new (and complete) versions for each one?
Is there any additional entry I should consider?

With respect,
Jorge Maldonado
JORGEMAL
 
Posts: 164
Joined: Thu 03 Jul 2008 23:55

Postby StanislavK » Thu 22 Apr 2010 08:32

For the 4.90.120 version, the new entries should be
Code: Select all



Updating these entries should be enough to use the newer build of dotConnect for PostgreSQL. Please tell us if you are encountering any problems with this.
StanislavK
Devart Team
 
Posts: 1710
Joined: Thu 03 Dec 2009 10:48

Postby Shalex » Fri 03 Dec 2010 15:19

We have improved Upgrade Wizard. It can be used for changing references when upgrading to the other version. This functionality is available since dotConnect for PostgreSQL v 4.95.
Shalex
Devart Team
 
Posts: 7654
Joined: Thu 14 Aug 2008 12:44


Return to dotConnect for PostgreSQL